org.encog.ml.data.specific

## Class BiPolarNeuralData

- java.lang.Object
- - org.encog.ml.data.specific.BiPolarNeuralData

- All Implemented Interfaces:
    Serializable, Cloneable, MLData, CentroidFactory<MLData>

      public class BiPolarNeuralData
      extends Object
      implements MLData, Serializable

  A NeuralData implementation designed to work with bipolar data. Bipolar data contains two values. True is stored as 1, and false is stored as -1.
  Author:
    jheaton
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BiPolarNeuralData(boolean[] d)` Construct this object with the specified data.
    `BiPolarNeuralData(int size)` Construct a data object with the specified size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(int index, double value)` This will throw an error, as "add" is not supported for bipolar.
    `void` | `clear()` Set all data to false.
    `MLData` | `clone()` Clone this object.
    `Centroid<MLData>` | `createCentroid()` Not supported.
    `boolean` | `getBoolean(int i)` Get the specified data item as a boolean.
    `double[]` | `getData()` Get the data held by this object as an array of doubles.
    `double` | `getData(int index)` Get the data held by the index.
    `void` | `setData(double[] theData)` Store the array.
    `void` | `setData(int index, boolean value)` Set the specified index of this object as a boolean.
    `void` | `setData(int index, double d)` Set the specified index of this object as a double.
    `int` | `size()` Get the size of this data object.
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BiPolarNeuralData

          public BiPolarNeuralData(boolean[] d)

      Construct this object with the specified data.
      Parameters:
        `d` - The data to create this object with.

    - #### BiPolarNeuralData

          public BiPolarNeuralData(int size)

      Construct a data object with the specified size.
      Parameters:
        `size` - The size of this data object.

  - ### Method Detail

    - #### add

          public void add(int index,
                 double value)

      This will throw an error, as "add" is not supported for bipolar.
      Specified by:
        `add` in interface `MLData`
      Parameters:
        `index` - Not used.
        `value` - Not used.

    - #### clear

          public void clear()

      Set all data to false.
      Specified by:
        `clear` in interface `MLData`

    - #### clone

          public MLData clone()

      Description copied from interface: `MLData`
      Clone this object.
      Specified by:
        `clone` in interface `MLData`
      Overrides:
        `clone` in class `Object`
      Returns:
        A cloned copy of this object.

    - #### getBoolean

          public boolean getBoolean(int i)

      Get the specified data item as a boolean.
      Parameters:
        `i` - The index to read.
      Returns:
        The specified data item's value.

    - #### getData

          public double[] getData()

      Get the data held by this object as an array of doubles.
      Specified by:
        `getData` in interface `MLData`
      Returns:
        The data held by this object.

    - #### getData

          public double getData(int index)

      Get the data held by the index.
      Specified by:
        `getData` in interface `MLData`
      Parameters:
        `index` - The index to read.
      Returns:
        Return the data held at the specified index.

    - #### setData

          public void setData(double[] theData)

      Store the array.
      Specified by:
        `setData` in interface `MLData`
      Parameters:
        `theData` - The data to store.

    - #### setData

          public void setData(int index,
                     boolean value)

      Set the specified index of this object as a boolean. This value will be converted into bipolar.
      Parameters:
        `index` - The index to set.
        `value` - The value to set.

    - #### setData

          public void setData(int index,
                     double d)

      Set the specified index of this object as a double. This value will be converted into bipolar.
      Specified by:
        `setData` in interface `MLData`
      Parameters:
        `index` - The index to set.
        `d` - The value to set.

    - #### size

          public int size()

      Get the size of this data object.
      Specified by:
        `size` in interface `MLData`
      Returns:
        The size of this data object.

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### createCentroid

          public Centroid<MLData> createCentroid()

      Not supported.
      Specified by:
        `createCentroid` in interface `CentroidFactory<MLData>`
      Returns:
        Nothing.

Copyright © 2014. All Rights Reserved.